/**
 * Copyright (C) 2012  Dušan Vejnovič  <vaadin@dussan.org>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.dussan.vaadin.dtable.translations;

public enum TranslatedWord {

	ACTION, //
	ASCENDING_SORTING_FOR_COLUMN, //
	AT_LEAST_ONE_COLUMN_HAVE_TO_BE_UNHIDDEN, //
	AT_LEAST_ONE_FROZEN_COLUMN_HAVE_TO_BE_UNHIDDEN, //
	AT_LEAST_ONE_COLUMN_HAVE_TO_BE_FROZEN_AND_UNHIDDEN, //
	AT_LEAST_ONE_COLUMN_HAVE_TO_BE_UNFROZEN_AND_UNHIDDEN, //
	CLOSE, //
	CSV_FILE, //
	DATA_ARE_READY_FOR_DOWNLOAD, //
	DATA_ERROR, //
	DESCENDING_SORTING_FOR_COLUMN, //
	DOWNLOAD_THE_DATA, //
	ERROR, //
	EXPORT, //
	EXPORTED_COLUMN_DATA_TYPE_AND_COLUMN_DEFINITION_TYPE_ARE_NOT_THE_SAME, //
	EXPORTING_DATA_TO_CSV_FILE, //
	EXPORTING_DATA_TO_MS_ACCESS_FILE, //
	EXPORTING_DATA_TO_MS_EXCEL_FILE, //
	EXPORTING_DATA_TO_PDF_FILE, //
	FILTERS, //
	FREEZE_COLUMN, //
	FREEZE_UNFREEZE_COLUMNS, //
	FROZEN, //
	FROZEN_COLUMNS, //
	HIDDEN, //
	HIDDEN_COLUMNS, //
	HIDE_COLUMN, //
	HIDE_UNHIDE_COLUMNS, //
	IN_PREPARING_DATA_AN_ERROR_OCCURRED, //
	IS_EMPTY, //
	IS_NOT_EMPTY, //
	LOADING_DATA_PLEASE_WAIT, //
	MS_ACCESS_FILE, //
	MS_EXCEL_FILE, //
	NO_DATA_TO_DISPLAY, //
	NO_DATA_FOR_EXPORT, //
	NO_NEW_DATA, //
	OK, //
	PDF_FILE, //
	PREPARING_DATA, //
	PREPARING_DATA_FOR_DOWNLOAD, //
	PREPARING_DATA_IS_COMPLETED, //
	PREPARING_DATA_IS_STOPPED, //
	QUICK_SEARCH, //
	REMOVE_ALL_SORTINGS, //
	REMOVE_FILTERS_FROM_COLUMN, //
	REMOVE_SORTING_FOR_COLUMN, //
	SEARCH, //
	SEARCH_IN_COLUMNS, //
	SIZE_OF_THE_REQUESTED_DATA_IS_ZERO, //
	SOMETHING_IS_WRONG_IN_DATA_PREPARATION_PLEASE_CHECK_YOUR_DATA_SETTINGS, //
	STOP_PREPARING_DATA, //
	TO_EXPORT_THE_DATA_PRESS_THE_BUTTON_EXPORT, //
	UNFREEZE_COLUMN, //
	UNFROZEN_COLUMNS, //
	UNHIDDEN_COLUMNS, //
	WHEN_TRANSMITTING_DATA_AN_ERROR_HAS_OCCURRED, //
	WINDOW_FOR_EXPORTING_DATA_IS_ALREADY_OPEN, //
	WINDOW_FOR_HIDING_UNHIDING_COLUMNS_DATA_IS_ALREADY_OPEN;

	public String toString() {
		return super.name().toUpperCase();
	};

}
